<template>
  <div id="app">
    <router-view />
  </div>
</template>

<script>
export default {
  name: "App",
  created() {
    // const changeFavicon = link => {
    //   let $favicon = document.querySelector('link[rel="icon"]');
    //   if ($favicon !== null) {
    //     $favicon.href = link;
    //   } else {
    //     $favicon = document.createElement("link");
    //     $favicon.rel = "icon";
    //     $favicon.href = link;
    //     document.head.appendChild($favicon);
    //   }
    // };
    // let icon = '../../../../../static/img/heisur/logo.png'; // 图片地址
    // changeFavicon(icon); // 动态修改网站图标
  }
};
</script>
<style>
/* @import url("../static/img/alifont/iconfont.css"); */
@import url("//at.alicdn.com/t/c/font_4179845_jbljsur8ub.css");

* {
  margin: 0;
  padding: 0;
  font-size: 16px;
  font-family: "微软雅黑";
}

a {
  text-decoration: none;
}

.router-link-active {
  text-decoration: none;
}

.el-scrollbar .el-scrollbar__bar {
  opacity: 1 !important;
}

.el-select-dropdown__item span,
.el-cascader-node__label {
  font-size: 0.8rem;
}

.el-dialog {
  border-radius: 6px;
  overflow: hidden;
  margin: 0 !important;
}

.el-dialog__wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
}

input::-webkit-input-placeholder,
textarea::-webkit-input-placeholder {
  /* Chrome/Opera/Safari */
  color: #999 !important;
  font-size: 10px;
}

input::-moz-placeholder,
textarea::-moz-placeholder {
  /* Firefox 19+ */
  color: #999 !important;
  font-size: 10px;
}

input:-ms-input-placeholder,
textarea:-ms-input-placeholder {
  /* IE 10+ */
  color: #999 !important;
  font-size: 10px;
}

input:-moz-placeholder,
textarea:-moz-placeholder {
  /* Firefox 18- */
  color: #999 !important;
  font-size: 10px;
}

.el-message p {
  color: #666 !important;
  font-size: 12px;
}

.el-message {
  background-color: #fff;
  border: 1px solid rgba(0, 0, 0, 0.1);
  padding: 6px 10px;
  min-width: 0;
  border-radius: 6px;
}

table {
  border-collapse: collapse;
}

.el-popover {
  padding: 0;
}

.el-popper .popper__arrow {
  display: none;
}
/**修改全局的滚动条*/
/**滚动条的宽度*/
::-webkit-scrollbar {
  width: 8px;
	height: 8px;
}
::-webkit-scrollbar-thumb {
  background-color: #bdbfc4;
  border-radius: 3px;
}
/* 全局表格样式 */
.el-table th.el-table__cell,
.has-gutter .el-table__cell {
  background-color: #f0f1f5 !important;
  color: #333;
}
.has-gutter .el-table__cell .cell {
  font-size: 16px;
  font-weight: 500;
}
.cell {
  color: rgb(51, 51, 51);
  padding-left: 17px !important;
  font-size: 14px;
}
.cell span {
  font-size: 14px;
  font-weight: 400;
}
.el-table th.el-table__cell > .cell {
  font-size: 16px;
  font-weight: 400;
  color: rgb(51, 51, 51);
}
/* 全局分页器样式 */
.el-pager .number {
  font-size: 14px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 4px;
  margin: 0 2px;
  color: #999;
  font-weight: 500;
}
.el-pager .number.active {
  background-color: #004ea2;
  color: #fff;
  border: 0;
}
/* 全局模态框样式 */
.el-dialog__header,.el-message-box__header {
  box-sizing: border-box;
  height: 56px;
  border-bottom: 1px solid rgb(238, 238, 238);
  padding: 0px;
  display: flex;
  align-items: center;
}
.el-dialog__header::before {
  content: "";
  display: inline-block;
  width: 4px;
  height: 30.24px;
  background: rgb(0, 95, 201);
  border-radius: 10px;
  margin-left: 32px;
  margin-right: 8.5px;
}

.el-message-box__header::before {
  content: "";
  display: inline-block;
  width: 4px;
  height: 30.24px;
  background: rgb(0, 95, 201);
  border-radius: 10px;
  margin-left: 20px;
  margin-right: 8.5px;
}

.el-dialog__header .el-dialog__title {
  font-size: 16px !important;
}

.el-dialog__footer{
	padding-right: 40px;
}

.el-dialog__footer .el-button * {
  font-size: 14px !important;
}

.el-dialog__footer .el-button {
  height: 36px;
  border: 1px solid rgba(190, 190, 190, 0.44);
  box-shadow: 0px 2px 4px rgba(220, 220, 220, 0.41);
  padding: 0 14px;
}

.el-message-box__btns .el-button * {
  font-size: 14px !important;
}

.el-message-box__btns .el-button{
	height: 36px;
	border: 1px solid rgba(190, 190, 190, 0.44);
	box-shadow: 0px 2px 4px rgba(220, 220, 220, 0.41);
	padding: 0 14px;
}

.el-button--primary {
  background: #004ea2;
}

.el-dialog__body {
  padding: 15px 20px;
}

.el-input.is-disabled input {
  color: #666 !important;
  background-color: rgba(0, 0, 0, 0.05) !important;
}
/* 全局输入框样式 */
/* 全局按钮样式 */
</style>
